﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WPFClient.PlattformService;

namespace WPFClient
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<City> Cities { get; set; }
        List<SpecialOffers> Offers { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            PlattformServiceClient client = new PlattformServiceClient();
            this.Cities = client.GetCities();
            this.Offers = client.GetSpecialOffers();

            this.DropDownDestination.ItemsSource = this.Cities;
            this.DropDownOrigin.ItemsSource = this.Cities;

            this.ListSpecialOffers.ItemsSource = this.Offers;
            GridView gridView = new GridView();
            this.ListSpecialOffers.View = gridView;
            gridView.Columns.Add(new GridViewColumn {
                  Header = "Origin", DisplayMemberBinding = new Binding("FlightFrom") });
            gridView.Columns.Add(new GridViewColumn {
                  Header = "Destination", DisplayMemberBinding = new Binding("FlightTo") });
            gridView.Columns.Add(new GridViewColumn {
                  Header = "From", DisplayMemberBinding = new Binding("FlightTo") });
            gridView.Columns.Add(new GridViewColumn {
                  Header = "Until", DisplayMemberBinding = new Binding("FlightTo") });
            gridView.Columns.Add(new GridViewColumn {
                  Header = "Price", DisplayMemberBinding = new Binding("Price") });
        }

        private void ButtonReserve_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonBook_Click(object sender, RoutedEventArgs e)
        {

        }

        private void DropDownOrigin_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }

        private void DropDownDestination_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }
}
